#include "xd3dbasetexture.h"

XD3DBaseTexture::XD3DBaseTexture()
    : XAsset()
    , mMipFlush(0)
    , mFormat(new XGpuTextureFetchConstant())
{
    
}

XD3DBaseTexture::~XD3DBaseTexture()
{
    delete mFormat;
}

void XD3DBaseTexture::ParseData(QDataStream *aStream)
{
    
}

void XD3DBaseTexture::Clear()
{
    mMipFlush = 0;
    mFormat->Clear();
}
